%define libname pycairo

%define build_bootstrap 0

%{expand: %{?_without_bootstrap: %%global build_bootstrap 0}}
%{expand: %{?_with_bootstrap:        %%global build_bootstrap 1}}

Summary: A python wrapper for the Cairo libraries
Name: python-cairo
Version: 1.2.6
Release: %mkrel 1
Source: http://cairographics.org/releases/%{libname}-%{version}.tar.bz2
Patch2: pycairo-1.0.0-pygtk.patch
License: BSD
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: automake1.8
BuildRequires: cairo-devel >= %{version}
BuildRequires: libpython-devel python-numeric-devel
%if !%{build_bootstrap}
BuildRequires: pygtk2.0-devel 
%endif
Requires:	cairo >= %{version}
Url: http://cairographics.org/pycairo
Provides: pycairo

%description
Python wrapper for the Cairo libraries

%prep
%setup -q -n %{libname}-%{version}
%patch2 -p1 -b .pygtk

#needed by patch2
aclocal-1.8
automake-1.8
autoheader
autoconf

%build
%configure2_5x \
%if !%{build_bootstrap}
--with-pygtk
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog examples
%{_libdir}/python%{pyver}/site-packages/cairo
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/pycairo.pc


%changelog
* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2007.0
+ Revision: 91720
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-2mdv2007.1
+ Revision: 88002
- Import python-cairo



* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-2mdv2007.1
- Rebuild

* Tue Aug 29 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- fix deps
- drop patch 3
- New release 1.2.2

* Tue Jun 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-3mdv2007.0
- patch 3: fix broken symbols (#23226)

* Tue Jun 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-2mdv2007.0
- rebuild b/c of broken symbols on x86_64 (thus preventing avahi to rebuild)

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.6-1mdv2007.0
- Release 1.1.6
- Remove patch1 (merged upstream)

* Tue Feb 28 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-2mdk
- BuildRequires: automake1.8

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdk
- Release 1.0.2
- use mkrel
- allow bootstrapping to build pygtk before pycairo

* Sat Oct 8 2005 Tigrux <tigrux@ximian.com> 1.0.0-1mdk
- new version
- modified autoconf.ac to enable pygtk support

* Thu Aug 11 2005 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- new version
- fix URLs

* Fri Jul  8 2005 Tigrux <tigrux@ximian.com> 0.5.1-1mdk
- New release 0.5.1

* Mon May 23 2005 Tigrux <tigrux@ximian.com> 0.5.0-1mdk
- New version 0.5.0
- Patched for compiling with gcc4
- Added %{_includedir}/pycairo/pycairo.h and %{_libdir}/pkgconfig/pycairo.pc 
  to the spec.
- Added Requires cairo >= %{version} since this version does not work with prior versions.

* Fri May 13 2005 Michael Scherer <misc@mandriva.org> 0.4.0-2mdk
- remove requires on cairo ( autodetected )
- from Tigrux <tigrux@ximian.com>
  - Do not require python = %pyver

* Tue Apr 26 2005 Michael Scherer <misc@mandriva.org> 0.4.0-1mdk
- from Tigrux <tigrux@ximian.com>
  - New version

* Mon Dec 06 2004 Tigrux <tigrux@ximian.com> 0.1.3-1mdk
- New version

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.1-0.20040914.2mdk
- Rebuild for new python

* Fri Sep 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20040914.1mdk
- from Tigrux <tigrux@ximian.com> : 
	- First RPM for Mandrake
